//+------------------------------------------------------------------+
//|                                                    TestMajor.mq4 |
//|                                       Copyright 2013, papaklass. |
//|                           http://www.mql4.com/ru/users/papaklass |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, papaklass."
#property link      "http://www.mql4.com/ru/users/papaklass"
#property strict
#property show_inputs

extern int     DIR  = OP_BUY; //0 - OP_BUY, 1 - OP_SELL
extern double  RISK = 0.05;   //   (AccountBalance * RISK)

   
//    
string sy[6] = {"AUDUSD", "EURUSD", "GBPUSD", "USDCHF", "USDJPY", "USDCAD"};

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   int a;
   
   //  
   for(int i = 0; i < 6; i++){
      ResetLastError();
      
      //        
      double vl      = AccountBalance() * RISK / MarketInfo( sy[i], MODE_MARGINREQUIRED );
      double price   = Dbl_If(DIR == OP_BUY, MarketInfo( sy[i], MODE_ASK ), MarketInfo( sy[i], MODE_BID ));
      
      //   
      vl = NormalLot(vl, i);
      
      Print(sy[i],"   vl = ",vl,"   price = ",price);
      
      a = OrderSend(sy[i], DIR, vl, price, 3, 0, 0, "", 12345, 0, Green);
      
      if(a < 0)Print("      ", sy[i],"   err = ",GetLastError());
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

double Dbl_If(bool Condition, double value1, double value2){
   if(Condition)return(value1);
   else         return(value2);
}
//+------------------------------------------------------------------+

//  
double NormalLot( double lot, int nmb ){
   int    k = 0;
   double minLot  = MarketInfo( sy[nmb], MODE_MINLOT );
   double maxLot  = MarketInfo( sy[nmb], MODE_MAXLOT );
   double step    = MarketInfo( sy[nmb], MODE_LOTSTEP );
   if( step <= 0.001 ){ k=3; }else{
   if( step <= 0.01  ){ k=2; }else{
   if( step <= 0.1   ){ k=1; } } }
   if( maxLot != 0 ){
      return( NormalDbl( MathMin( maxLot, MathMax( minLot, lot ) ), nmb, k ) );
   }else{
      return( NormalDbl( MathMax( minLot, lot ), nmb, k ) );
   }
   return( -1 );
}//----------------------------------------------------------------------------+
//    Double   
// -1   
double NormalDbl( double d, int nmb, int n = -1 ){
   int dgt = (int)MarketInfo( sy[nmb], MODE_DIGITS );
   if( n <  0 ){ return( NormalizeDouble( d, dgt ) ); }
   if( n >= 0 ){ return( NormalizeDouble( d, n ) ); }
   return( -1 );
}//----------------------------------------------------------------------------+
